package org.codehaus.xfire.java.type;

import org.codehaus.xfire.java.message.MessageReader;
import org.codehaus.xfire.java.message.MessageWriter;

/**
 * SimpleSerializer
 * 
 * @author <a href="mailto:dan@envoisolutions.com">Dan Diephouse</a>
 */
public class DoubleType
    extends Type
{
    public Object readObject(MessageReader reader)
    {
        return new Double( reader.getValueAsInt() );
    }

    public void writeObject(Object object, MessageWriter writer)
    {
        writer.writeValueAsDouble( (Double) object );
    }
}
