package org.codehaus.xfire.java;

import org.codehaus.xfire.AbstractXFireTest;
import org.codehaus.xfire.SOAPConstants;
import org.codehaus.xfire.java.mapping.DefaultTypeMappingRegistry;
import org.codehaus.xfire.java.mapping.TypeMapping;
import org.codehaus.xfire.java.mapping.TypeMappingRegistry;
import org.codehaus.xfire.java.test.TestHttpTransport;
import org.codehaus.xfire.transport.TransportManager;

/**
 * @author <a href="mailto:dan@envoisolutions.com">Dan Diephouse</a>
 * @since Oct 31, 2004
 */
public class AbstractJavaTest
    extends AbstractXFireTest
{
    DefaultTypeMappingRegistry registry;
    
    public void setUp() throws Exception
    {
        super.setUp();
        
        registry = new DefaultTypeMappingRegistry();
        
        TypeMapping tm = registry.createXSDMapping();
        registry.registerDefault(tm);        
        
        TransportManager trans = getXFire().getTransportManager();
        trans.register( new TestHttpTransport() );
    }

    public TypeMappingRegistry getRegistry()
    {
        return registry;
    }

}
