package org.codehaus.xfire.java.type;

import org.codehaus.xfire.java.message.MessageReader;
import org.codehaus.xfire.java.message.MessageWriter;

/**
 * SimpleSerializer
 * 
 * @author <a href="mailto:dan@envoisolutions.com">Dan Diephouse</a>
 */
public class StringType
    extends Type
{
    public Object readObject(MessageReader reader)
    {
        return reader.getValue();
    }

    public void writeObject(Object object, MessageWriter writer)
    {
        writer.writeValue( object );
    }
}
